UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.LBMSourceEvent Class Reference
Inheritance diagram for com.latencybusters.lbm.LBMSourceEvent:

## Public Member Functions
int | type ()
long | registrationId ()
long | sequenceNumber ()
String | dataString ()
Object | clientObject ()
UMESourceEventRegistrationSuccessInfo | registrationSuccessInfo ()
UMESourceEventRegistrationCompleteInfo | registrationCompleteInfo ()
void | setDeregistrationSuccessInfo (UMESourceEventDeregistrationSuccessInfo dereg)
void | setDeregistrationCompleteInfo (UMESourceEventDeregistrationCompleteInfo dregc)
UMESourceEventDeregistrationSuccessInfo | deregistrationSuccessInfo ()
UMESourceEventDeregistrationCompleteInfo | deregistrationCompleteInfo ()
LBMSourceEventSequenceNumberInfo | sequenceNumberInfo ()
UMESourceEventAckInfo | ackInfo ()
LBMSourceEventWakeupInfo | sourceWakeupInfo ()
UMQSourceEventMessageIdInfo | messageIdInfo ()
UMQSourceEventAckInfo | queueAckInfo ()
UMQSourceEventRegistrationCompleteInfo | queueRegistrationCompleteInfo ()
UMQSourceEventULBReceiverInfo | ulbReceiverInfo ()
UMQSourceEventULBMessageInfo | ulbMessageInfo ()
LBMSourceEventFlightSizeNotification | flightSizeNotification ()
LBMSourceEventTimestampInfo | timestampInfo ()
LBMSourceEvent | promote ()
void | dispose ()

## Detailed Description

Encapsulates LBM Source Events.

## Member Function Documentation

UMESourceEventAckInfo com.latencybusters.lbm.LBMSourceEvent.ackInfo | ( |  | ) |

Gets extended ACK info.

Returns
  Ack info.

See also
  UMESourceEventAckInfo

Since
  UME 2.0

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

Object com.latencybusters.lbm.LBMSourceEvent.clientObject | ( |  | ) |

Client callback object. This object is specified by the application using another API method.

Returns
  Client callback object

See also
  LBMSource::send(byte [],int,int,Object)

String com.latencybusters.lbm.LBMSourceEvent.dataString | ( |  | ) |

String data associated with this event. This value may not be valid for all event types.

Returns
  Event string data

UMESourceEventDeregistrationCompleteInfo com.latencybusters.lbm.LBMSourceEvent.deregistrationCompleteInfo | ( |  | ) |

Registration complete info. Contains extended registration complete information.

Returns
  Registration complete info.

See also
  UMESourceEventderegistrationCompleteInfo

Since
  UME 5.3

UMESourceEventDeregistrationSuccessInfo com.latencybusters.lbm.LBMSourceEvent.deregistrationSuccessInfo | ( |  | ) |

Registration success info object. Contains extended Deregistration information.

Returns
  Extended deregistration success info object.

See also
  UMESourceEventDeregistrationSuccessInfo

Since
  UME 5.3

void com.latencybusters.lbm.LBMSourceEvent.dispose | ( |  | ) |

This method should be called before the source event callback returns to indicate that the application is finished with the source event allowing it to be reused when processing a future source event

References com.latencybusters.lbm.LBMSourceEvent.ackInfo(), com.latencybusters.lbm.LBMSourceEvent.flightSizeNotification(), com.latencybusters.lbm.LBMSourceEvent.messageIdInfo(), com.latencybusters.lbm.LBMSourceEvent.registrationCompleteInfo(), com.latencybusters.lbm.LBMSourceEvent.registrationSuccessInfo(), com.latencybusters.lbm.LBMSourceEvent.sequenceNumberInfo(), com.latencybusters.lbm.LBMSourceEvent.sourceWakeupInfo(), com.latencybusters.lbm.LBMSourceEvent.timestampInfo(), and com.latencybusters.lbm.LBMSourceEvent.type().

LBMSourceEventFlightSizeNotification com.latencybusters.lbm.LBMSourceEvent.flightSizeNotification | ( |  | ) |

Flight Size Notificaiton.

Returns
  Flight Size Notification

See also
  LBMSourceEventFlightSizeNotification

Since
  UME 3.1

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

UMQSourceEventMessageIdInfo com.latencybusters.lbm.LBMSourceEvent.messageIdInfo | ( |  | ) |

Gets an object describing the message ID assigned to a message.

Returns
  A UMQSourceEventMessageIdInfo object containing message ID information.

See also
  UMQSourceEventMessageIdInfo

Since
  UME 3.0

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

LBMSourceEvent com.latencybusters.lbm.LBMSourceEvent.promote | ( |  | ) |

This method should be called if the application wishes to continue processing the source event on another thread, or after the source event callback returns.

Returns
  the promoted LBMSourceEvent

Referenced by com.latencybusters.lbm.LBMSSource.onSourceEvent(), com.latencybusters.lbm.LBMSource.onSourceEvent(), and com.latencybusters.lbm.LBMContext.removeSourceNotifyCallback().

UMQSourceEventAckInfo com.latencybusters.lbm.LBMSourceEvent.queueAckInfo | ( |  | ) |

Gets an object containing extended information about a message that has been acknowledged as stable.

Returns
  A UMQSourceEventAckInfo object with acknowledgement information.

See also
  UMQSourceEventAckInfo

Since
  UME 3.0

UMQSourceEventRegistrationCompleteInfo com.latencybusters.lbm.LBMSourceEvent.queueRegistrationCompleteInfo | ( |  | ) |

Queue registration complete info. Contains extended queue registration complete information.

Returns
  Registration complete info.

See also
  UMQSourceEventRegistrationCompleteInfo

Since
  UME 3.0

UMESourceEventRegistrationCompleteInfo com.latencybusters.lbm.LBMSourceEvent.registrationCompleteInfo | ( |  | ) |

Registration complete info. Contains extended registration complete information.

Returns
  Registration complete info.

See also
  UMESourceEventRegistrationCompleteInfo

Since
  UME 2.0

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

long com.latencybusters.lbm.LBMSourceEvent.registrationId | ( |  | ) |

Registration ID associated with this event. This value may not be valid for all event types.

Returns
  Registration ID.

See also
  LBM

UMESourceEventRegistrationSuccessInfo com.latencybusters.lbm.LBMSourceEvent.registrationSuccessInfo | ( |  | ) |

Registration success info object. Contains extended registration information.

Returns
  Extended registration success info object.

See also
  UMESourceEventRegistrationSuccessInfo

Since
  UME 2.0

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

long com.latencybusters.lbm.LBMSourceEvent.sequenceNumber | ( |  | ) |

Sequence number associated with this event. This value may not be valid for all event types.

Returns
  Sequence number.

See also
  LBM

LBMSourceEventSequenceNumberInfo com.latencybusters.lbm.LBMSourceEvent.sequenceNumberInfo | ( |  | ) |

Gets extended sequence number info.

Returns
  Sequence number info.

See also
  LBMSourceEventSequenceNumberInfo

Since
  UME 2.0

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

void com.latencybusters.lbm.LBMSourceEvent.setDeregistrationCompleteInfo | ( | UMESourceEventDeregistrationCompleteInfo | dregc | ) |

Registration complete info. Contains extended registration complete information.

Returns
  void

See also
  UMESourceEventderegistrationCompleteInfo

Since
  UME 5.3

void com.latencybusters.lbm.LBMSourceEvent.setDeregistrationSuccessInfo | ( | UMESourceEventDeregistrationSuccessInfo | dereg | ) |

Registration success info object. Contains extended Deregistration information.

Returns
  void

See also
  UMESourceEventDeregistrationSuccessInfo

Since
  UME 5.3

LBMSourceEventWakeupInfo com.latencybusters.lbm.LBMSourceEvent.sourceWakeupInfo | ( |  | ) |

Gets extended information about a source wakeup event.

Returns
  Source wakeup info.

See also
  LBMSourceEventWakeupInfo

Since
  LBM 3.4

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

LBMSourceEventTimestampInfo com.latencybusters.lbm.LBMSourceEvent.timestampInfo | ( |  | ) |

Gets high-resolution timestamp Info.

Returns
  Timestamp Info

See also
  LBMSourceEventTimestampInfo

Since
  UMS 6.9

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

int com.latencybusters.lbm.LBMSourceEvent.type | ( |  | ) |

LBM Source Event type.

Returns
  LBM Source Event type

See also
  LBM

Referenced by com.latencybusters.lbm.LBMSourceEvent.dispose().

UMQSourceEventULBMessageInfo com.latencybusters.lbm.LBMSourceEvent.ulbMessageInfo | ( |  | ) |

ULB Message info. Contains extended ULB message information.

Returns
  ULB Message info.

See also
  UMQSourceEventULBMessageInfo

Since
  UMQ 1.1

UMQSourceEventULBReceiverInfo com.latencybusters.lbm.LBMSourceEvent.ulbReceiverInfo | ( |  | ) |

ULB Receiver info. Contains extended ULB receiver information.

Returns
  ULB Receiver info.

See also
  UMQSourceEventULBReceiverInfo

Since
  UMQ 1.1

The documentation for this class was generated from the following file:

- LBMSourceEvent.java